Page MenuHomePhabricator

UPO on "Special:Preferences" for cross wiki notifications should not show on stand alone wiki
Closed, ResolvedPublic

Description

Setup
MediaWiki 1.27.0-rc.1 (5462877)
PHP 5.6.22-0+deb8u1 (apache2handler)
Echo – (13aaa9c)

Issue
In case the Echo (rECHO) extension is installed on a stand alone wiki or on wikis with no awareness of farmed wikis, i.e. cross wiki notifications are not configured, the user preference option for cross wiki notifications should not show by default. The related system messages are "prefs-echocrosswiki" and "echo-pref-cross-wiki-notifications". In short, even with $wgEchoCrossWikiNotifications = false; which is the default I see these two shown on "Special:Preferences".

Event Timeline

Kghbln created this task.Jun 18 2016, 7:12 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 18 2016, 7:12 AM
Kghbln updated the task description. (Show Details)Jun 18 2016, 7:15 AM

$wgEchoCrossWikiNotifications does not exist in 1.27, only in master. I'll see if I can backport it.

Kghbln added a comment.EditedJun 19 2016, 9:38 AM

Thank you for your comment. That explains it. Backporting this will be marvelous and cheerfully appreciated. :) I makes sense to me doing it since MW 1.27 is a LTS release.

There's a lot more work on cross-wiki notifications that was done after the 1.27 cut, but I decided not to backport an entire month's worth of commits.

There's a lot more work on cross-wiki notifications that was done after the 1.27 cut, but I decided not to backport an entire month's worth of commits.

This is utterly acceptable. Avoiding the option on "Special:Preferences" is however a nice thing to do. For people who would like to use cross wiki notifications it will be feasible to move on to 1.28+ etc anyways.

Thank you very much for your backport!!!

Kghbln closed this task as Resolved.Jun 21 2016, 11:45 AM
Kghbln claimed this task.

Ah there was a related issue at T135266. Just updated my wiki to 7d63196 of REL1_27 et voilà! Thank you for your work!

Kghbln reassigned this task from Kghbln to Catrope.Jun 21 2016, 11:45 AM